<?php
/**
 * Export of voting log.
 *
 * This script exports Scry's voting log to a number of different
 * formats.
 *
 * $Horde: scry/export.php,v 1.25 2005/01/03 14:35:27 jan Exp $
 *
 * Copyright 2003-2005 Marko Djukic <marko@oblo.com>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

define('SCRY_BASE', dirname(__FILE__));
require_once SCRY_BASE . '/lib/base.php';
require_once SCRY_BASE . '/lib/Vote.php';
require_once SCRY_BASE . '/lib/Export.php';
require_once 'Horde/Variables.php';

if (!Auth::isAdmin('scry:admin')) {
    Horde::authenticationFailureRedirect();
}

$renderer = &new Horde_Form_Renderer();
$vars = &Variables::getDefaultVariables();

if ($vars->exists('submitbutton')) {
    require_once 'Horde/Data.php';

    /* Get the vote log. */
    $votes = $scry->getVotesLog($vars->get('poll_id'));

    /* Export the data. */
    switch ($vars->get('format')) {
    case 'csv':
        $csv = &Horde_Data::singleton('csv');
        $csv->exportFile(_("votes.csv"), $votes, true);
        exit;

    case 'tsv':
        $tsv = &Horde_Data::singleton('tsv');
        $tsv->exportFile(_("votes.tsv"), $votes, true);
        exit;
    }
} elseif ($vars->get('poll_id')) {
    $poll = $scry->getPolls($vars->get('poll_id'));
    $votes = $scry->getVotes($vars->get('poll_id'));

    $formexport = &Horde_Form::singleton('ExportForm', $vars);

    /* Set the retrieved poll data into the $vars array. */
    $vars = &new Variables($poll);

    /* Get the export form html. */
    $main = Util::bufferOutput(array($formexport, 'renderActive'), $renderer, $vars, 'export.php', 'post');

    $formpoll = &Horde_Form::singleton('VoteForm', $vars);
    $formpoll->addVariable(_("Voting results"), 'results', 'html', false);

    /* Get the poll html. */
    $vars->set('results', Scry::getResults($votes));
    $main .= '<br />' . Util::bufferOutput(array($formpoll, 'renderInactive'), $renderer, $vars);

    /* Set up the template variables. */
    $template = &new Horde_Template();
    $template->set('menu', Scry::getMenu('string'));
    $template->set('notify', Util::bufferOutput(array($notification, 'notify')));
    $template->set('main', $main);

    /* Output the page. */
    require SCRY_TEMPLATES . '/common-header.inc';
    echo $template->fetch(SCRY_TEMPLATES . '/main/main.html');
    require $registry->get('templates', 'horde') . '/common-footer.inc';
    exit;
}

require SCRY_BASE . '/polls.php';
