<?php

$block_name = _("Polls Summary");

/**
 * Scry's Summary Block Class.
 *
 * This file provides a summary of Scry current votings through the
 * Horde_Blocks, by extending the Horde_Blocks class.
 *
 * $Horde: scry/lib/Block/summary.php,v 1.23 2005/01/03 14:35:28 jan Exp $
 *
 * Copyright 2003-2005 Marko Djukic <marko@oblo.com>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Marko Djukic <marko@oblo.com>
 * @version $Revision: 1.23 $
 * @package Horde_Block
 */
class Horde_Block_Scry_summary extends Horde_Block {

    var $_app = 'scry';

    function _title()
    {
        return Horde::link(Horde::applicationUrl('polls.php', true), _("Current Polls"), 'header') . _("Current Polls") . '</a>';
    }

    function _content()
    {
        @define('SCRY_BASE', dirname(__FILE__) . '/../..');
        require_once SCRY_BASE . '/lib/base.php';

        global $scry;

        $polls = $scry->getPolls();

        if (is_a($polls, 'PEAR_Error')) {
            $GLOBALS['notification']->push($polls, 'horde.error');
            $polls = array();
        } elseif (!count($polls)) {
            return '';
        } else {
            foreach ($polls as $poll_id => $poll) {
                $polls[$poll_id]['poll_start'] = Scry::getDate($poll['poll_start'], _("No Start Date"));
                $polls[$poll_id]['poll_end'] = Scry::getDate($poll['poll_end'], _("No End Date"));
                list($polls[$poll_id]['poll_enabled'], $polls[$poll_id]['poll_enabled_class']) = Scry::getStatusLabel($poll['poll_enabled'], $poll['poll_start'], $poll['poll_end']);

                /* Vote poll link. */
                if ($scry->isVotable($poll)) {
                    $url = Util::addParameter(Horde::applicationUrl('vote.php'), 'poll_id', $poll_id);
                    $polls[$poll_id]['vote_link'] = Horde::link($url, _("Vote"), '', '', '', _("Vote")) . Horde::img('vote.png', _("Vote")) . '</a>';
                } else {
                    $polls[$poll_id]['vote_link'] = '';
                }

                $polls[$poll_id]['view_url'] = Util::addParameter(Horde::applicationUrl('view.php'), 'poll_id', $poll_id);
            }
        }

        /* Set the list of polls to the template. */
        $template = &new Horde_Template();
        $template->set('polls', $polls);

        return $template->fetch(SCRY_TEMPLATES . '/block/summary.html');
    }

}
