<?php
/**
 * Voting Classes
 *
 * $Horde: scry/lib/Vote.php,v 1.17 2005/01/03 14:35:27 jan Exp $
 *
 * Copyright 2003-2005 Marko Djukic <marko@oblo.com>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Marko Djukic <marko@oblo.com>
 * @version $Revision: 1.17 $
 * @package Scry
 */
class VoteForm extends Horde_Form {

    function VoteForm(&$vars, $title = null)
    {
        global $scry;

        if (is_null($title)) {
            $title = $vars->get('poll_title');
        }

        parent::Horde_Form($vars, $title);

        $this->setButtons(_("Vote"));

        $this->addHidden('', 'poll_id', 'int', true);
        $this->addVariable($vars->get('poll_question'), 'poll_question', 'header', false);

        $poll_id = $vars->get('poll_id');
        $poll = $scry->getPolls($poll_id);

        if ($scry->isVotable($poll)) {
            if ($vars->get('poll_multiple')) {
                $this->addVariable(_("Choose as many as apply"), 'choice', 'set', true, false, null, array($vars->get('choices')));
            } else {
                $this->addVariable(_("Choose one"), 'choice', 'radio', true, false, null, array($vars->get('choices')));
            }
        }
        if ($poll['poll_identifier'] & SCRY_ID_CUSTOM) {
            $this->addVariable(_("Enter your unique identifier"), 'identifier', 'text', true);
        }
    }

    /**
     * Make sure we use the VoteFormRenderer class for rendering the
     * form.
     *
     * @return object VoteFormRenderer
     */
    function &getRenderer()
    {
        return $r = &new VoteFormRenderer();
    }

}

/**
 * @package Scry
 */
class VoteFormRenderer extends Horde_Form_Renderer {

    function _renderVarDisplayBegin(&$form, &$var, &$vars)
    {
?><tr class="item0" valign="top">
  <td><?php
    }

}
