<?php
/**
 * Scry external API interface.
 *
 * This file defines Scry's external API interface. Other applications
 * can interact with Scry through this API.
 *
 * $Horde: scry/lib/api.php,v 1.26 2005/01/03 14:35:27 jan Exp $
 *
 * Copyright 2003-2005 Marko Djukic <marko@oblo.com>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Marko Djukic <marko@oblo.com>
 * @version $Revision: 1.26 $
 * @package Scry
 */

$_services['getVotablePolls'] = array(
    'args' => array(),
    'type' => 'stringArray'
);

$_services['summary'] = array(
    'args' => array(),
    'type' => 'string'
);


$_services['commentCallback'] = array(
    'args' => array('image_id' => 'string'),
    'type' => 'boolean'
);

/**
 * Scry/Agora Comments callback function
 */
function _scry_commentCallback($poll_id)
{
    if (!$GLOBALS['conf']['comments']['allow']) {
        return false;
    }

    require_once dirname(__FILE__) . '/base.php';

    $poll = $GLOBALS['scry']->getPolls($poll_id);
    if (!$poll || is_a($poll, 'PEAR_Error')) {
        return false;
    }

    return true;
}


/**
 * Get a list of votable (enabled, active) polls to vote on.
 *
 * @return array  An array of poll_id, poll_title and poll_question.
 */
function _scry_getVotablePolls()
{
    @define('SCRY_BASE', dirname(__FILE__) . '/..');
    require_once SCRY_BASE . '/lib/base.php';

    return $GLOBALS['scry']->getPolls(null, 'open');
}
