<?php
/**
 * $Horde: scry/lib/base.php,v 1.34 2005/01/03 14:35:27 jan Exp $
 *
 * Scry base inclusion file.
 *
 * This file brings in all of the dependencies that every Scry script
 * will need, and sets up objects that all scripts use.
 *
 * Copyright 2003-2005 Marko Djukic <marko@oblo.com>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author Marko Djukic <marko@oblo.com>
 * @version $Revision: 1.34 $
 * @package Scry
 */

// Check for a prior definition of HORDE_BASE (perhaps by an
// auto_prepend_file definition for site customization).
if (!defined('HORDE_BASE')) {
    @define('HORDE_BASE', dirname(__FILE__) . '/../..');
}

// Load the Horde Framework core, and set up inclusion paths.
require_once HORDE_BASE . '/lib/core.php';

/* Set up the registry. */
$registry = &Registry::singleton();
if (is_a(($pushed = $registry->pushApp('scry', !defined('AUTH_HANDLER'))), 'PEAR_Error')) {
    if ($pushed->getCode() == 'permission_denied') {
        Horde::authenticationFailureRedirect(); 
    }
    Horde::fatal($pushed, __FILE__, __LINE__, false);
}
$conf = &$GLOBALS['conf'];
@define('SCRY_TEMPLATES', $registry->get('templates'));

/* Notification system. */
$notification = &Notification::singleton();
$notification->attach('status');

/* Find the base file path of Scry. */
@define('SCRY_BASE', dirname(__FILE__) . '/..');

/* Scry base library. */
require_once SCRY_BASE . '/lib/Scry.php';
require_once SCRY_BASE . '/lib/Driver.php';

/* Help library. */
require_once 'Horde/Help.php';

/* Templates. */
require_once 'Horde/Template.php';

/* Forms libraries. */
require_once 'Horde/Form.php';
require_once 'Horde/Form/Renderer.php';

/* Scry driver. */
$GLOBALS['scry'] = &Scry_Driver::singleton();
