-- $Horde: scry/scripts/sql/scry.sql,v 1.2 2004/09/21 03:34:04 chuck Exp $

CREATE TABLE scry_choices (
    choice_id         INT NOT NULL DEFAULT 0,
    poll_id           INT NOT NULL DEFAULT 0,
    choice_value      VARCHAR(255) NOT NULL DEFAULT '',
--
    PRIMARY KEY       (choice_id)
);

CREATE TABLE scry_polls (
    poll_id           INT NOT NULL DEFAULT 0,
    poll_title        VARCHAR(255) NOT NULL DEFAULT '',
    poll_question     TEXT NOT NULL DEFAULT '',
    poll_start        INT DEFAULT NULL,
    poll_end          INT DEFAULT NULL,
    poll_multiple     SMALLINT NOT NULL DEFAULT 0,
    poll_enabled      SMALLINT NOT NULL DEFAULT 0,
    poll_identifier   SMALLINT NOT NULL DEFAULT 0,
    poll_group        VARCHAR(255),
    poll_results_to   VARCHAR(255),
--
    PRIMARY KEY       (poll_id)
);

CREATE TABLE scry_votes (
    vote_id           INT NOT NULL DEFAULT 0,
    poll_id           INT NOT NULL DEFAULT 0,
    choice_id         INT NOT NULL DEFAULT 0,
    vote_ip           VARCHAR(255) DEFAULT NULL,
    vote_username     VARCHAR(255) DEFAULT NULL,
    vote_identifier   VARCHAR(255) DEFAULT NULL,
    vote_confirmation VARCHAR(255) DEFAULT NULL,
    vote_timestamp    INT NOT NULL,
--
    PRIMARY KEY       (vote_id, poll_id)
);

CREATE INDEX scry_choices_poll_id_idx ON scry_choices (poll_id);
CREATE INDEX scry_polls_group_idx ON scry_polls (poll_group);
CREATE INDEX scry_votes_poll_id_idx ON scry_votes (poll_id);
CREATE INDEX scry_votes_choice_id_idx ON scry_votes (choice_id);

GRANT SELECT, INSERT, UPDATE, DELETE ON scry_choices TO horde;
GRANT SELECT, INSERT, UPDATE, DELETE ON scry_polls TO horde;
GRANT SELECT, INSERT, UPDATE, DELETE ON scry_votes TO horde;
